# task_get_result.cpp File Reference

`#include <saga/saga/context.hpp>`
`#include <saga/saga/stream.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/detail/task_get_result_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail
## Classes
struct | saga::detail::disable_reconvert< saga::stream::activity >
## Functions
template saga::stream::stream & | saga::task::get_result< saga::stream::stream > ()
template saga::stream::server & | saga::task::get_result< saga::stream::server > ()
template saga::stream::activity & | saga::task::get_result< saga::stream::activity > ()
template std::vector < saga::stream::activity > & | saga::task::get_result< std::vector< saga::stream::activity > > ()